<template>
  <v-app>
    <v-container>
      <v-layout>
        <v-dialog v-model="dialogBBL" persistent width="500">
          <v-card>
            <v-toolbar flat dark color="white">
              <v-btn icon dark @click="closeDialog">
                <v-icon color="#6a7d69">close</v-icon>
              </v-btn>
              <v-toolbar-title class="text-xs-center" style="color: #6a7d69"
                >PAYMENT INFORMATION</v-toolbar-title
              >
            </v-toolbar>
            <!-- <v-card-title class="headline">Session Expired</v-card-title> -->
            <p class="dialogBBL" style="margin-bottom: 0px">
              Please copy REF 1 and REF 2 to
              <a
                style="color: #6a7d69"
                href="https://bizibanking.bangkokbank.com/"
                target="_blank"
                >https://bizibanking.bangkokbank.com/</a
              >
            </p>
            <v-layout justify-center v-if="!mobileView">
              <v-chip color="#6a7d69" text-color="white">
                REF1 : &nbsp;<strong>{{ ref1 }}</strong>
                <v-icon right @click.stop.prevent="copyText"
                  >content_copy</v-icon
                >
              </v-chip>
              <v-chip color="#6a7d69" text-color="white">
                REF2 : &nbsp;<strong>{{ ref2 }}</strong>
                <v-icon right @click.stop.prevent="copyText2"
                  >content_copy</v-icon
                >
              </v-chip>
              <input type="hidden" id="testing-code" :value="ref1" />
              <input type="hidden" id="testing-code2" :value="ref2" />
            </v-layout>
            <!-- mobile -->
            <v-layout v-if="mobileView" class="dialogBBL">
              <v-chip color="#6a7d69" text-color="white">
                REF1 : &nbsp;<strong>{{ ref1 }}</strong>
                <v-icon right @click.stop.prevent="copyText"
                  >content_copy</v-icon
                >
              </v-chip>
            </v-layout>
            <v-layout v-if="mobileView" class="dialogBBL">
              <v-chip color="#6a7d69" text-color="white">
                REF2 : &nbsp;<strong>{{ ref2 }}</strong>
                <v-icon right @click.stop.prevent="copyText2"
                  >content_copy</v-icon
                >
              </v-chip>
              <input type="hidden" id="testing-code" :value="ref1" />
              <input type="hidden" id="testing-code2" :value="ref2" />
            </v-layout>
            <!-- end mobile -->
            <p class="dialogBBL" style="margin-bottom: 5px">
              According to the following step
            </p>
            <div>
              <strong style="color: #6a7d69; padding-left: 15px"
                >STEP 1
              </strong>
            </div>
            <img
              v-if="!mobileView"
              class="dialogBBL"
              :src="images.stepbbl1"
              style="width: 500px; padding-right: 15px"
            />
            <img
              v-if="mobileView"
              class="dialogBBL"
              :src="images.stepbbl1"
              style="width: 330px; padding-right: 15px"
            />
            <div class="dialogBBL">
              <strong style="color: #6a7d69">STEP 2 </strong>
            </div>
            <img
              v-if="!mobileView"
              class="dialogBBL"
              :src="images.stepbbl2"
              style="width: 500px; padding-right: 15px; padding-bottom: 20px"
            />
            <img
              v-if="mobileView"
              class="dialogBBL"
              :src="images.stepbbl2"
              style="width: 330px; padding-right: 15px; padding-bottom: 20px"
            />
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogtimeout" persistent width="420">
          <v-card>
            <v-card-title class="headline">Session Expired</v-card-title>
            <div style="padding-left: 20px">
              You have left this browser for 5 minutes. Please Login again.
            </div>
            <v-card-actions>
              <br /><br /><br />
              <v-spacer></v-spacer>
              <center>
                <v-btn style="color: white" color="#6a7d69" text @click="logout"
                  >OK</v-btn
                >
              </center>
            </v-card-actions>
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogloader" persistent width="400">
          <v-card color="#6a7d69" dark>
            <v-card-text>
              Please wait while we are processing your request...
              <v-progress-linear
                indeterminate
                color="white"
                class="mb-0"
              ></v-progress-linear>
            </v-card-text>
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogloaderQr" persistent width="400">
          <v-card color="gray" dark>
            <v-card-text>
              QR CODE loading...
              <v-progress-linear
                indeterminate
                color="white"
                class="mb-0"
              ></v-progress-linear>
            </v-card-text>
          </v-card>
        </v-dialog>
        <v-dialog v-model="dialogCondition" width="420">
          <v-card class="textcard" style="height: 400px">
            <v-card-title class="headline" style="color: #6a7d69">
              <v-btn icon @click="dialogCondition = false">
                <v-icon>mdi-close</v-icon> </v-btn
              ><b>Terms and Conditions</b></v-card-title
            >
            <div
              style="padding-left: 20px; padding-right: 20px;background-color: #f2f2f2;"
            >
              เรียนท่านผู้ใช้บริการ INET e-Payment <br /><b
                >กรุณาอ่านข้อตกลงด้านล่างอย่างละเอียด
                ก่อนทำการชำระเงินค่าสินค้าและบริการ</b
              ><br /><br />
              1. ผู้ใช้บริการ ใช้บัตรเดบิต/บัตรเครดิต
              ที่ออกโดยธนาคารพานิชย์ในประเทศไทย และภายใต้ผู้ให้บริการเครือข่าย
              Visa, Master หรือ JCB<br />
              2. ในการทำรายการครั้งแรก ต้องทำการยืนยันการใช้บัตร และกรอกรหัส
              Verified by VISA, MasterCard SecureCode หรือ J/Secure
              เพื่อชำระเงิน<br />
              3. การจำหน่ายสินค้า/บริการ
              เป็นความรับผิดชอบของผู้จัดจำหน่ายสินค้า/บริการ แต่เพียงผู้เดียว
              บริษัท อินเทอร์เน็ตประเทศไทย จำกัด
              (มหาชน)ไม่ใช่ผู้จัดจำหน่ายสินค้า/บริการ
              และไม่มีส่วนรับผิดชอบใดๆเกี่ยวกับสินค้า/บริการ
              กรณีผู้ใช้บริการมีข้อสงสัยหรือร้องเรียนเกี่ยวกับสินค้า/บริการ
              หรือหากต้องการใบเสร็จและใบกำกับภาษี
              กรุณาติดต่อโดยตรงกับบริษัทผู้จัดจำหน่ายสินค้า/บริการโดยตรง<br />
              4. สอบถามข้อมูลเพิ่มเกี่ยวกับการชำระเงิน กรุณาติดต่อ
              02-257-7188<br />
              5. บริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน)
              ขอสงวนสิทธิ์ในการเปลี่ยนแปลงเงื่อนไข ข้อตกลง
              โดยไม่ต้องแจ้งให้ทราบล่วงหน้า และกรณีมีข้อพิพาท คำตัดสินของ บริษัท
              อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน) ให้ถือเป็นที่สิ้นสุด<br />
              6.
              ผู้ใช้บริการยืนยันรับทราบเงื่อนไขในการให้บริการการซื้อสินค้า/บริการครั้งนี้<br /><br />
              ในนามของบริษัท อินเทอร์เน็ตประเทศไทย จำกัด (มหาชน) <br />
              ขอขอบพระคุณท่านที่เลือกใช้บริการ INET e-Payment<br /><br />
            </div>
          </v-card>
        </v-dialog>
        <v-flex md12 pa-1>
          <!-- <div id="app">
                    <v-app id="inspire"> -->
          <v-flex v-if="!mobileView">
            <!-- <li><a href="/unpaidbill" style="color:#efdbd4;">1. Select Invoices</a></li>
                        <li style="color:#efdbd4;">&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;</li>
                        <li><a href="/summarybills" style="color:#efdbd4;">2. Summary Selected Invoices</a></li>
                        <li style="color:#efdbd4;">&nbsp;&nbsp;>&nbsp;&nbsp;&nbsp;</li>
                        <li class="active">3. Payment</li> -->
            <v-progress-linear
              v-model="valueDeterminate"
              background-color="#C1C9D2"
              color="#3A8300"
            >
            </v-progress-linear>

            <v-stepper>
              <v-stepper-header class="text-detail">
                <v-stepper-step step="" complete color="#3A8300"
                  ><a href="/unpaidbill">เลือกรายการจ่ายเงิน</a></v-stepper-step
                >
                <v-stepper-step complete color="#3A8300" step=""
                  ><a href="/summarybills"
                    >สรุปการสั่งจ่ายเงิน</a
                  ></v-stepper-step
                >
                <v-stepper-step complete color="#D7B30B" step="3"
                  >ชำระเงิน</v-stepper-step
                >
              </v-stepper-header>
            </v-stepper>
          </v-flex>
          <!-- mobile -->
          <v-progress-linear
            v-if="mobileView"
            v-model="valueDeterminate"
            background-color="#C1C9D2"
            color="#3A8300"
          ></v-progress-linear>
          <v-stepper value="3" v-if="mobileView">
            <v-stepper-header class="text-detail">
              <a
                ><v-stepper-step step="" complete color="#3A8300"
                  ><a href="/unpaidbill">เลือกรายการจ่ายเงิน</a></v-stepper-step
                ></a
              >
              <a
                ><v-stepper-step complete color="#3A8300" step=""
                  ><a href="/summarybills"
                    >สรุปการสั่งจ่ายเงิน</a
                  ></v-stepper-step
                ></a
              >
              <v-stepper-step complete color="#D7B30B" step="3"
                >ชำระเงิน</v-stepper-step
              >
            </v-stepper-header>
          </v-stepper>
          <!-- end mobile -->

          <v-card
            class="mx-auto my-12"
            elevation="0"
            width="100%"
            height="100%"
            style="margin-top:20px;margin-left:20px"
          >
            <v-card-text style="margin-left: 20px">
              <p class="header">ชำระเงิน</p>
              <p class="sub-header">กรุณาเลือกช่องทางชำระเงินด้านล่าง</p>
            </v-card-text>
            <v-layout>
              <!-- ------------------------- desktop ---------------------- -->
              <v-flex xs7 v-if="!mobileView">
                <v-card class="checkout">
                  <v-layout wrap md12>
                    <v-tabs class="mytab" show-arrows grow style="color: red">
                      <v-tabs-slider color="#3A8300"></v-tabs-slider>
                      <v-tab
                        class="tab"
                        width="300px;"
                        v-on:click="
                          (chkbox = false),
                            (imageQR = ''),
                            (bank = ''),
                            (payType = 'AC')
                        "
                        style="color: #3a8300;font-family: Sarabun, sans-serif;font-weight:bold"
                      >
                        <v-icon color="#3A8300" left>mdi-bank</v-icon>
                        Internet Banking
                      </v-tab>
                      <v-tab
                        class="tab"
                        v-on:click="
                          (chkbox = false),
                            (imageQR = ''),
                            (bank = 'BBL'),
                            (payType = 'QR')
                        "
                        style="color: #3a8300;font-family: Sarabun, sans-serif;font-weight:bold"
                      >
                        <v-icon color="#3A8300" left>mdi-qrcode</v-icon>
                        QR Code
                      </v-tab>

                      <!-- internet bk -->
                      <v-tab-item class="sizetab">
                        <v-card
                          class="tabDetail scroll-y"
                          flat
                          id="scroll-target"
                        >
                          <v-card-text
                            v-scroll:#scroll-target="onScroll"
                            style="max-height: 453px"
                            ><br />

                            <v-radio-group v-model="bank" column>
                              <v-layout row>
                                <v-flex
                                  xs6
                                  style="width:320px;padding-left:40px"
                                >
                                  <!-- scb -->
                                  <v-radio color="#3A8300" value="SCB">
                                    <template v-slot:label>
                                      <div style="color: black">
                                        <img
                                          class="cardborder"
                                          :src="images.scb"
                                          style="width: 120px"
                                        />
                                      </div>
                                    </template>
                                  </v-radio>

                                  <v-layout>
                                    <v-flex xs3></v-flex>
                                    <v-flex xs1>
                                      <v-radio-group
                                        column
                                        v-model="payType"
                                        v-if="bank == 'SCB'"
                                        style="margin-top: 1px"
                                      >
                                        <v-radio color="#3A8300" value="AC">
                                          <template v-slot:label>
                                            <div style="color: black">
                                              <img
                                                class="subbank"
                                                :src="images.scb_citizen"
                                              />
                                            </div>
                                          </template>
                                        </v-radio>
                                        <v-radio color="#3A8300" value="CO">
                                          <template v-slot:label>
                                            <div style="color: black">
                                              <img
                                                class="subbank"
                                                :src="images.scb_biz"
                                                style="margin-top: 10px"
                                              />
                                            </div>
                                          </template>
                                        </v-radio>
                                      </v-radio-group>
                                    </v-flex>
                                  </v-layout>
                                </v-flex>
                                <!-- end scb -->
                                <v-flex xs6>
                                  <!-- bbl -->
                                  <v-radio color="#3A8300" value="BBL">
                                    <template v-slot:label>
                                      <div style="color: black">
                                        <img
                                          class="cardborder"
                                          :src="images.bbl"
                                          style="width: 120px; margin-top: 10px"
                                        />
                                      </div>
                                    </template>
                                  </v-radio>

                                  <v-layout>
                                    <v-flex xs3></v-flex>
                                    <v-flex xs1>
                                      <v-radio-group
                                        v-model="payType"
                                        row
                                        v-if="bank == 'BBL'"
                                        style="margin-top: 1px"
                                      >
                                        <v-radio color="#3A8300" value="AC">
                                          <template v-slot:label>
                                            <div style="color: black">
                                              <img
                                                class="subbankbbl"
                                                :src="images.bbl_citizen"
                                                style="margin-top: 10px"
                                              />
                                            </div>
                                          </template>
                                        </v-radio>
                                        <v-radio color="#3A8300" value="CO">
                                          <template v-slot:label>
                                            <div style="color: black">
                                              <img
                                                class="subbankbbl"
                                                :src="images.bbl_biz"
                                                style="margin-top: 10px"
                                              />
                                            </div>
                                          </template>
                                        </v-radio>
                                      </v-radio-group>
                                    </v-flex>
                                  </v-layout>
                                  <!-- end bbl -->
                                </v-flex>
                              </v-layout>
                              <v-layout row>
                                <!-- KTB -->
                                <v-flex
                                  xs6
                                  style="width:320px;padding-left:40px"
                                >
                                  <v-radio color="#3A8300" value="KTB">
                                    <template v-slot:label>
                                      <div style="color: black">
                                        <img
                                          class="cardborder"
                                          :src="images.ktb"
                                          style="width: 120px"
                                        />
                                      </div>
                                    </template>
                                  </v-radio>
                                </v-flex>
                                <!-- end KTB -->
                                <!-- BAY -->
                                <v-flex xs6>
                                  <v-radio color="#3A8300" value="BAY">
                                    <template v-slot:label>
                                      <div style="color: black">
                                        <img
                                          class="cardborder"
                                          :src="images.bay"
                                          style="width: 120px"
                                        />
                                      </div>
                                    </template>
                                  </v-radio>
                                </v-flex>
                                <!-- end BAY -->
                              </v-layout>
                            </v-radio-group>
                            <v-flex xs7 class="text-detail">
                              วิธีชำระเงิน <br />

                              1. กดเลือกธนาคาร <br />
                              2. กดปุ่ม ชำระเงิน <br />
                            </v-flex>
                          </v-card-text>
                        </v-card>
                      </v-tab-item>
                      <!-- QR -->
                      <v-tab-item class="sizetab">
                        <v-card flat class="tabDetail">
                          <v-card-text>
                            <br />

                            <center>
                              <p
                                v-if="imageQR && payType === 'CR'"
                                style="font-size: 16px"
                              >
                                OR
                              </p>
                            </center>
                            <center>
                              <img
                                v-if="imageQR"
                                width="200px"
                                :src="'data:image/jpeg;base64,' + imageQR"
                              /><br />
                            </center>
                            <v-flex xs7 class="text-detail">
                              วิธีการชำระเงินด้วย QR code <br />

                              1. กดปุ่มชำระเงินเพื่อสร้าง QR code <br />
                              2. เปิด Mobile Banking เพื่อสแกนชำระเงิน <br />
                            </v-flex>
                          </v-card-text>
                        </v-card>
                      </v-tab-item>
                      <!-- QR  end-->
                    </v-tabs>
                  </v-layout>
                </v-card>
              </v-flex>

              <v-flex xs6 v-if="!mobileView">
                <v-card width="380" height="auto" style="margin-left: 30px">
                  <v-card-text
                    style="background-color:#ffffff;border: 2px solid #3a8300;"
                  >
                    <v-layout align-center justify-end row wrap>
                      <v-flex xs9 class="textpay">ชำระ</v-flex>
                      <v-flex xs3 style="text-align: right" class="textpayprice"
                        >{{ currenttotalpay.length }} รายการ</v-flex
                      >
                    </v-layout>
                    <v-layout justify-end row wrap>
                      <v-flex md1 class="textpay">โดย</v-flex>
                      <v-flex
                        md11
                        style="text-align: right"
                        class="textpayprice"
                        >{{ bizNameTH }}</v-flex
                      >
                    </v-layout>
                    <v-divider class="summarydata"></v-divider>

                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">รวม</v-flex>
                      <v-flex style="text-align: right" class="textpayprice"
                        >฿ {{ addCommas(totalExcVat) }}</v-flex
                      >
                    </v-layout>
                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">ภาษี</v-flex>
                      <v-flex style="text-align: right" class="textpayprice"
                        >฿ {{ addCommas(totalvatamount) }}</v-flex
                      >
                    </v-layout>
                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">ภาษีหัก ณ ที่จ่าย</v-flex>
                      <v-flex style="text-align: right" class="textpayprice"
                        >฿ {{ addCommas(totalwht) }}</v-flex
                      >
                    </v-layout>

                    <v-divider class="summarydata"></v-divider>
                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">รวมทั้งหมด</v-flex>
                      <v-flex
                        style="text-align: right;color: #000000;font-weight: bold;font-style: normal;font-size: 24px;line-height: 32px;font-family: Sarabun, sans-serif;"
                        >฿ {{ addCommas(totalpricepay_inc_fee) }}</v-flex
                      >
                    </v-layout>
                    <v-divider class="summarydata"></v-divider>
                    <p
                      class="emailTxt"
                      style="font-size: 14px;margin: 28px 0px 5px 0px;color: #000000;font-family: Sarabun, sans-serif;"
                    >
                      ระบุอีเมลเพื่อรับการแจ้งเตือน
                    </p>
                    <v-text-field
                      solo
                      color="#E0E0E0"
                      style="font-family: Sarabun, sans-serif;"
                      v-model="invoiceemail"
                      hide-details
                      :rules="emailRules"
                      label="Email"
                    ></v-text-field>

                    <v-btn
                      v-if="payType === 'QR' && !imageQR"
                      @click="pay"
                      class="paybtn white--text"
                      block
                      color="#3a8300"
                      >ชำระเงิน</v-btn
                    >
                    <v-btn
                      v-if="payType === 'AC' || payType === 'CO'"
                      :disabled="!bank"
                      @click="pay"
                      class="paybtn white--text"
                      block
                      color="#3a8300"
                      >ชำระเงิน</v-btn
                    >

                    <!-- <v-layout justify-end row wrap > -->
                    <v-flex
                      style="text-align: center; font-size: 16px;font-weight: 400;font-family: Sarabun, sans-serif; "
                      ><a href="/summarybills" style="color: #000000"
                        >ย้อนกลับไปเลือกรายการจ่ายเงินใหม่</a
                      ></v-flex
                    >
                  </v-card-text>
                  <form
                    ref="paymentform"
                    id="__PostForm"
                    name="__PostForm"
                    :action="urlOPS"
                    method="POST"
                  >
                    <span v-html="formOPS"></span>
                  </form>
                </v-card>
                <v-flex py-3></v-flex>
                <p hidden>{{ isIdle }}</p>
              </v-flex>
            </v-layout>
            <!-- --------------------- end desktop ---------------------- -->
            <!-- --------------------- mobile ------------------------- -->
            <v-flex xs12 v-if="mobileView">
              <v-card
                style="width: auto;height: 400px;margin-left: 20px;margin-right: 20px;"
              >
                <v-layout wrap md12>
                  <v-tabs class="mytab" show-arrows grow style="color: red">
                    <v-tabs-slider color="#3A8300"></v-tabs-slider>
                    <v-tab
                      class="tab"
                      width="300px;"
                      v-on:click="
                        (chkbox = false),
                          (imageQR = ''),
                          (bank = ''),
                          (payType = 'AC')
                      "
                      style="color: #3a8300;font-family: Sarabun, sans-serif;font-weight:bold"
                    >
                      <v-icon color="#3A8300" left>mdi-bank</v-icon>
                      Internet Banking
                    </v-tab>
                    <v-tab
                      class="tab"
                      v-on:click="
                        (chkbox = false),
                          (imageQR = ''),
                          (bank = 'BBL'),
                          (payType = 'QR')
                      "
                      style="color: #3a8300;font-family: Sarabun, sans-serif;font-weight:bold"
                    >
                      <v-icon color="#3A8300" left>mdi-qrcode</v-icon>
                      QR Code
                    </v-tab>

                    <!-- internet bk -->
                    <v-tab-item class="sizetab">
                      <v-card
                        class="tabDetail scroll-y"
                        flat
                        id="scroll-target"
                      >
                        <v-card-text
                          v-scroll:#scroll-target="onScroll"
                          style="max-height: 453px"
                          ><br />

                          <v-radio-group v-model="bank" column>
                            <v-layout row>
                              <!-- SCB -->
                              <v-flex xs6 style="width:320px;padding-left:40px">
                                <v-radio color="#3A8300" value="SCB">
                                  <template v-slot:label>
                                    <div style="color: black">
                                      <img
                                        class="cardborder"
                                        :src="images.scb"
                                        style="width: 120px"
                                      />
                                    </div>
                                  </template>
                                </v-radio>

                                <v-layout>
                                  <v-flex xs3></v-flex>
                                  <v-flex xs1>
                                    <v-radio-group
                                      column
                                      v-model="payType"
                                      v-if="bank == 'SCB'"
                                      style="margin-top: 1px"
                                    >
                                      <v-radio color="#3A8300" value="AC">
                                        <template v-slot:label>
                                          <div style="color: black">
                                            <img
                                              class="subbank"
                                              :src="images.scb_citizen"
                                            />
                                          </div>
                                        </template>
                                      </v-radio>
                                      <v-radio color="#3A8300" value="CO">
                                        <template v-slot:label>
                                          <div style="color: black">
                                            <img
                                              class="subbank"
                                              :src="images.scb_biz"
                                              style="margin-top: 10px"
                                            />
                                          </div>
                                        </template>
                                      </v-radio>
                                    </v-radio-group>
                                  </v-flex>
                                </v-layout>
                              </v-flex>
                              <!-- end SCB -->
                              <!-- bbl -->
                              <v-flex xs6>
                                <v-radio color="#3A8300" value="BBL">
                                  <template v-slot:label>
                                    <div style="color: black">
                                      <img
                                        class="cardborder"
                                        :src="images.bbl"
                                        style="width: 120px; margin-top: 10px"
                                      />
                                    </div>
                                  </template>
                                </v-radio>

                                <v-layout>
                                  <v-flex xs3></v-flex>
                                  <v-flex xs1>
                                    <v-radio-group
                                      v-model="payType"
                                      row
                                      v-if="bank == 'BBL'"
                                      style="margin-top: 1px"
                                    >
                                      <v-radio color="#3A8300" value="AC">
                                        <template v-slot:label>
                                          <div style="color: black">
                                            <img
                                              class="subbankbbl"
                                              :src="images.bbl_citizen"
                                              style="margin-top: 10px"
                                            />
                                          </div>
                                        </template>
                                      </v-radio>
                                      <v-radio color="#3A8300" value="CO">
                                        <template v-slot:label>
                                          <div style="color: black">
                                            <img
                                              class="subbankbbl"
                                              :src="images.bbl_biz"
                                              style="margin-top: 10px"
                                            />
                                          </div>
                                        </template>
                                      </v-radio>
                                    </v-radio-group>
                                  </v-flex>
                                </v-layout>
                              </v-flex>
                              <!-- end bbl -->
                            </v-layout>
                            <v-layout row>
                              <!-- KTB -->
                              <v-flex xs6 style="width:320px;padding-left:40px">
                                <v-radio color="#3A8300" value="KTB">
                                  <template v-slot:label>
                                    <div style="color: black">
                                      <img
                                        class="cardborder"
                                        :src="images.ktb"
                                        style="width: 120px"
                                      />
                                    </div>
                                  </template>
                                </v-radio>
                              </v-flex>
                              <!-- end KTB -->
                              <!-- BAY -->
                              <v-flex xs6>
                                <v-radio color="#3A8300" value="BAY">
                                  <template v-slot:label>
                                    <div style="color: black">
                                      <img
                                        class="cardborder"
                                        :src="images.bay"
                                        style="width: 120px"
                                      />
                                    </div>
                                  </template>
                                </v-radio>
                              </v-flex>
                              <!-- end BAY -->
                            </v-layout>
                          </v-radio-group>
                          <v-flex xs7 class="text-detail">
                            วิธีชำระเงิน <br />

                            1. กดเลือกธนาคาร <br />
                            2. กดปุ่ม ชำระเงิน <br />
                          </v-flex>
                        </v-card-text>
                      </v-card>
                    </v-tab-item>
                    <!-- end internet bk -->
                    <!-- QR -->
                    <v-tab-item class="sizetab">
                      <v-card flat class="tabDetail">
                        <v-card-text>
                          <br />
                          <center>
                            <p
                              v-if="imageQR && payType === 'CR'"
                              style="font-size: 16px"
                            >
                              OR
                            </p>
                          </center>
                          <center>
                            <img
                              v-if="imageQR"
                              width="200px"
                              :src="'data:image/jpeg;base64,' + imageQR"
                            /><br />
                          </center>
                          <v-flex xs7 class="text-detail">
                            วิธีการชำระเงินด้วย QR code <br />

                            1. กดปุ่มชำระเงินเพื่อสร้าง QR code <br />
                            2. เปิด Mobile Banking เพื่อสแกนชำระเงิน <br />
                          </v-flex>
                        </v-card-text>
                      </v-card>
                    </v-tab-item>
                    <!-- QR  end-->
                  </v-tabs>
                </v-layout>
              </v-card>
            </v-flex>

            <v-layout v-if="mobileView" style="margin-top:30px">
              <v-flex xs12 md12>
                <v-card
                  width="auto"
                  height="auto"
                  style="margin-left:20px; font-size:12px;margin-right:20px"
                  class="summarydata"
                >
                  <v-card-text
                    style="background-color:#ffffff;border: 2px solid #3a8300;"
                  >
                    <v-layout align-center justify-end row wrap>
                      <v-flex xs9 class="textpay">ชำระ</v-flex>
                      <v-flex xs3 style="text-align: right" class="textpayprice"
                        >{{ currenttotalpay.length }} รายการ</v-flex
                      >
                    </v-layout>
                    <v-layout justify-end row wrap>
                      <v-flex xs1 class="textpay">โดย</v-flex>
                      <v-flex
                        xs11
                        style="text-align: right"
                        class="textpayprice"
                        >{{ bizNameTH }}</v-flex
                      >
                    </v-layout>
                    <v-divider class="summarydata"></v-divider>

                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">รวม</v-flex>
                      <v-flex style="text-align: right" class="textpayprice"
                        >฿ {{ addCommas(totalExcVat) }}</v-flex
                      >
                    </v-layout>
                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">ภาษี</v-flex>
                      <v-flex style="text-align: right" class="textpayprice"
                        >฿ {{ addCommas(totalvatamount) }}</v-flex
                      >
                    </v-layout>
                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">ภาษีหัก ณ ที่จ่าย</v-flex>
                      <v-flex style="text-align: right" class="textpayprice"
                        >฿ {{ addCommas(totalwht) }}</v-flex
                      >
                    </v-layout>
                    <v-layout justify-end row wrap class="summarydata">
                      <v-flex class="textpay">รวมทั้งหมด</v-flex>
                      <v-flex
                        style="
                              text-align: right;
                              color: #000000;
                              font-weight: bold;
                              font-style: normal;
                              font-size: 24px;
                              line-height: 32px;
                              font-family: Sarabun, sans-serif;"
                        >฿ {{ addCommas(totalpricepay_inc_fee) }}</v-flex
                      >
                    </v-layout>
                    <v-divider class="summarydata"></v-divider>
                    <!-- <v-btn :disabled="!chkbox" @click="pay" class="paybtn" block color="success">PAY</v-btn> -->
                    <p
                      class="emailTxt"
                      style=" font-size: 14px; margin: 28px 0px 5px 0px; color: #000000;font-family: Sarabun, sans-serif; "
                    >
                      ระบุอีเมลเพื่อรับการแจ้งเตือน
                    </p>
                    <v-text-field
                      solo
                      color="#E0E0E0"
                      style="font-family: Sarabun, sans-serif;"
                      v-model="invoiceemail"
                      hide-details
                      :rules="emailRules"
                    ></v-text-field>

                    <v-btn
                      v-if="payType === 'QR' && !imageQR"
                      @click="pay"
                      class="paybtn white--text"
                      block
                      color="#3a8300"
                      >ชำระเงิน</v-btn
                    >
                    <v-btn
                      v-if="payType === 'AC'"
                      :disabled="!bank"
                      @click="pay"
                      class="paybtn white--text"
                      block
                      color="#3a8300"
                      >ชำระเงิน</v-btn
                    >
                    <v-flex
                      style=" text-align: center; font-size: 16px; font-weight: 400;font-family: Sarabun, sans-serif; "
                      ><a href="/summarybills" style="color: #000000"
                        >ย้อนกลับไปเลือกรายการจ่ายเงินใหม่</a
                      ></v-flex
                    >
                  </v-card-text>
                  <form
                    ref="paymentform"
                    id="__PostForm"
                    name="__PostForm"
                    :action="urlOPS"
                    method="POST"
                  >
                    <span v-html="formOPS"></span>
                  </form>
                </v-card>
                <v-flex py-3></v-flex>
                <p hidden>{{ isIdle }}</p>
              </v-flex>
            </v-layout>
            <!-- --------------------- end mobile ----------------------- -->
          </v-card>
          <!-- </v-app>
                </div> -->
        </v-flex>
      </v-layout>
    </v-container>
  </v-app>
</template>
<script>
import { sync } from "vuex-pathify";
import moment from "moment";
moment.locale("en");
export default {
  data() {
    return {
      scbDropown: [
        { text: "Citizen", value: "AC" },
        { text: "Corporate", value: "CO" }
      ],
      invoiceemail: "",
      valueDeterminate: 100,
      offsetTop: 0,
      mobileView: false,
      dialogCondition: false,
      dialogBBL: false,
      ref1: "",
      ref2: "",
      setInterval: "",
      token: "",
      urlOPS: "",
      formOPS: "",
      imageQR: "",
      confirmbtn: true,
      payType: "AC",
      bank: "",
      KTB: "",
      BBL: "",
      BAY: "",
      chkbox: false,
      dialogtimeout: false,
      tout: "",
      invoiceaccountID: this.$cookies.get("invoiceaccountID"),
      bizNameTH: this.$cookies.get("bizNameTH"),
      firstlastTH: this.$cookies.get("firstlastTH"),
      imageCompany: localStorage.getItem("imageCompany"),
      bizType: this.$cookies.get("bizType"),
      nameENG: this.$cookies.get("nameENG"),
      firstnameENG: this.$cookies.get("firstnameENG"),
      currenttotalpay: JSON.parse(localStorage.getItem("currenttotalpay")),
      totalpricepay_inc_fee: this.$cookies.get("totalpricepay_inc_fee"),
      totalExcVat: this.$cookies.get("totalExcVat"),
      totalvatamount: this.$cookies.get("totalvatamount"),
      totalfee: this.$cookies.get("totalfee"),
      totalvatoffee: this.$cookies.get("totalvatoffee"),
      totalwht: parseFloat(
        this.$cookies.get("totalwht").replace(/,/g, "")
      ).toFixed(2),
      dialogloader: false,
      dialogloaderQr: false,
      notifications: false,
      sound: true,
      widgets: false,
      tempinvoices: [],
      getname: "",
      dialog: false,
      emailRules: [
        v => !!v || "E-mail is required",
        v =>
          /^\w+([.-]?\w+)*@\w+([.-]?\w+)*(\.\w{2,3})+$/.test(v) ||
          "E-mail must be valid"
      ],
      images: {
        logo: require("../assets/inet_logo.jpg"),
        bbl: require("../assets/bbl.png"),
        bbl_citizen: require("../assets/bbl_citizen.jpg"),
        bbl_biz: require("../assets/bbl_biz.png"),
        ktb: require("../assets/ktb.png"),
        bay: require("../assets/bay.jpg"),
        scb: require("../assets/scb.jpg"),
        scb_citizen: require("../assets/scb_citizen.png"),
        scb_biz: require("../assets/scb_biz.png"),
        payments: require("../assets/payments.png"),
        pci: require("../assets/pci.png"),
        stepbbl1: require("../assets/stepbbl1.jpg"),
        stepbbl2: require("../assets/stepbbl2.jpg"),
        user: require("../assets/Ellipse 8.png"),
        logout: require("../assets/arrow_drop_down.png")
      },
      headers: [
        { text: "No.", value: "index", sortable: false, align: "center" },
        {
          text: "Invoice No.",
          value: "name",
          sortable: false,
          align: "left"
        },
        {
          text: "Invoice Date",
          value: "calories",
          sortable: false,
          align: "center"
        },
        { text: "Total (THB)", value: "fat", sortable: false, align: "right" }
      ]
    };
  },
  beforeCreate() {
    if (!this.$session.exists()) {
      this.$router.push("/");
    }
  },
  methods: {
    closeDialog() {
      window.location.reload();
    },
    onScroll(e) {
      this.offsetTop = e.target.scrollTop;
    },
    sessionTimeout() {
      if (this.isIdle == true) {
        this.$session.destroy();
        this.dialogtimeout = true;
      }
    },
    addCommas(nStr) {
      nStr += "";
      var x = nStr.split(".");
      var x1 = x[0];
      var x2 = x.length > 1 ? "." + x[1] : "";
      var rgx = /(\d+)(\d{3})/;
      while (rgx.test(x1)) {
        x1 = x1.replace(rgx, "$1" + "," + "$2");
      }
      return x1 + x2;
    },
    async downloadQR() {
      var a = document.createElement("a");
      a.href = "data:image/jpeg;base64," + this.imageQR;
      a.download = "qr_payment.png";
      document.body.appendChild(a);
      a.click();
      document.body.removeChild(a);
    },
    async pay() {
      try {
        this.tempinvoices = this.currenttotalpay.map(
          invoice => invoice["order_id"]
        );
        if (this.tempinvoices.length == 0) {
          alert("Please select invoice");
          this.$router.push("/unpaidbill");
        }
        if (this.payType === "QR") {
          this.dialogloaderQr = true;
        } else {
          this.dialogloader = true;
        }
        // console.log("totalpricepay_inc_fee: ", this.totalpricepay_inc_fee);
        var { data } = await this.axios.post(
          process.env.VUE_APP_APIHOST + "/createpayment",
          {
            invoiceno: this.tempinvoices,
            payer: this.$cookies.get("createdBy"),
            pay_type: this.payType,
            bank: this.bank,
            email: this.invoiceemail,
            pay_amount: this.totalpricepay_inc_fee
          },
          { headers: { Authorization: this.$cookies.get("token") } }
        );
        if (
          this.payType === "CR" ||
          this.payType === "AC" ||
          this.payType === "CO"
        ) {
          if (this.bank === "BBL" && this.payType === "CO") {
            this.ref1 = data.ref1;
            this.ref2 = data.ref2;
            this.dialogloader = false;
            this.payType = "AC";
            this.dialogBBL = true;
            this.token = data.token;
            this.setInterval = setInterval(() => this.checkToken(), 5000);
          } else {
            this.dialogloader = false;
            this.urlOPS = data.tagUrl;
            this.formOPS = data.tagInput;
            setTimeout(() => {
              this.$refs.paymentform.submit();
            }, 750);
          }
        } else {
          this.dialogloaderQr = false;
          this.imageQR = data.imageQR;
          this.token = data.token;
          this.setInterval = setInterval(() => this.checkToken(), 5000);
        }
      } catch (error) {
        // alert(error.message)
        console.log(error.message);
      }
    },
    async payQRLink() {
      try {
        this.tempinvoices = this.currenttotalpay.map(
          invoice => invoice["Invoice_no"]
        );
        if (this.tempinvoices.length == 0) {
          alert("Please select invoice");
          this.$router.push("/unpaidbill");
        }

        this.dialogloaderQr = true;
        var { data } = await this.axios.post(
          process.env.VUE_APP_APIHOST + "/createpayment_qrlink",
          {
            invoiceno: this.tempinvoices,
            source:
              this.$cookies.get("username") +
              " " +
              this.payType +
              " " +
              this.bank +
              " " +
              this.totalwht +
              " " +
              this.totalpricepay
          },
          { headers: { Authorization: this.$cookies.get("token") } }
        );
        this.dialogloaderQr = false;
        this.imageQR = data.imageQR;
        this.token = data.token;
        this.setInterval = setInterval(() => this.checkToken(), 5000);
      } catch (error) {
        // alert(error.message)
        console.log(error.message);
      }
    },
    async checkToken() {
      let { data } = await this.axios.get(
        process.env.VUE_APP_APIHOST + "/transaction_token",
        {
          headers: {
            Authorization: this.$cookies.get("token"),
            sub: this.token
          }
        }
      );
      if (data.authorization) {
        clearInterval(this.setInterval);
        this.$router
          .push("/transactionResult?authorization=" + data.authorization)
          .catch(err => {});
      }
    },
    logout() {
      clearInterval(this.setInterval);
      this.$session.destroy();
      this.$cookies.keys().forEach(key => {
        this.$cookies.remove(key);
      });
      this.$router.push("/");
    },
    handleView() {
      this.mobileView = window.innerWidth <= 990;
    }
  },
  computed: {
    paymenturl() {
      return process.env.VUE_APP_PAYMENTURL;
    },
    account_id() {
      return this.$cookies.get("account_id");
    },
    username() {
      return this.$cookies.get("username");
    },
    isIdle() {
      this.tout = this.$store.state.idleVue.isIdle;
      return this.tout;
    }
  },
  watch: {
    tout() {
      this.sessionTimeout();
    }
  },
  created() {
    let createBy = this.$cookies.get("createdBy");
    this.invoiceemail = createBy.split(":")[1];
    this.handleView();
    window.addEventListener("resize", this.handleView);
  }
};
</script>

<style scoped>
.iconemail .v-icon {
  color: #6a7d69 !important;
}
.subbank {
  border: 1px solid #ffffff;
  border-radius: 4px;
  width: 45px;
  background-color: #ffffff;
  /* box-shadow: 3px 5px 10px grey; */
}
.subbankbbl {
  border: 1px solid #ffffff;
  border-radius: 4px;
  width: 100px;
  background-color: #ffffff;
  /* box-shadow: 3px 5px 10px grey; */
}
.dialogBBL {
  padding-left: 15px;
  padding-top: 20px;
}
/* .paymenu1--active {
    color: white;
    background: #538795 !important;
  }
  .paymenu2 {
    color: white;
    background-color: #538795 !important;
  }
  .paymenu3 {
    color: white;
    background-color: #538795 !important;
  } */
ul li {
  display: inline;
  color: gray;
  font-weight: bold;
  font-size: 16px;
}
a {
  color: grey;
  text-decoration: none;
}
a:hover {
  color: #6a7d69;
  text-decoration: underline;
}
.active {
  color: #875c49;
}
.summarydata {
  margin-top: 13px;
}
.summaryprice {
  margin-top: 14px;
  font-size: 16px;
  font-weight: bold;
  background-color: #f0f0f0;
  width: auto;
  height: 35px;
  padding-top: 5px;
}
.paybtn {
  margin-top: 14px;
  margin-bottom: 14px;
  text-align: center;
  font-size: 18px;
  border-radius: 4px;
  font-family: "Sarabun", sans-serif;
}
.textcard {
  border: 1px solid #bebebe;
  border-radius: 5px;
  width: 100%;
  background-color: #f2f2f2;
}
.cardborder {
  border: 1px solid #ffffff;
  border-radius: 4px;
  width: 150px;
  height: 59;
  background-color: #ffffff;
  /* box-shadow: 3px 5px 10px grey; */
}
input[type="checkbox"] {
  transform: scale(1.5);
}
.logo {
  max-width: 100px;
}
.v-card.mx-auto {
  width: 1000px;
}
.checkout {
  width: 565px;
  height: 500px;
  margin-left: 20px;
}
.tabDetail {
  width: 565px;
  height: 204;
}
.header {
  font-size: 24px;
  font-weight: 700;
  color: #212121;
  font-family: "Sarabun", sans-serif;
}
.sub-header {
  color: #333333;
  font-size: 14px;
  font-weight: 400;
  font-style: normal;
  font-family: "Sarabun", sans-serif;
}
.terms {
  color: #ffffff;
  font-style: 18px;
}

.textpay {
  font-family: "Sarabun", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 18px;
  color: #000000;
  line-height: 26px;
}

.textpayprice {
  font-family: "Sarabun", sans-serif;
  font-weight: 700;
  font-style: normal;
  font-size: 18px;
  color: #000000;
  line-height: 26px;
}
@media (max-width: 500px) {
  .dialogBBL {
    padding-left: 15px;
    padding-top: 20px;
  }
  .v-card.mx-auto {
    width: 343px;
  }
  .v-card__text {
    padding: 0px;
  }
  .checkout {
    width: 343px;
    height: auto;
    margin: 0px;
    margin-left: 0px;
  }
  .tabDetail {
    width: auto;
    height: auto;
    font-size: 12px;
    color: black;
  }
  .terms {
    width: auto;
    height: auto;
    font-size: 14px;
    color: #ffffff;
  }
  .tab {
    font-size: 11px;
  }
  .mytab {
    width: 100%;
  }
  .header {
    font-size: 22px;
    font-weight: bold;
    color: #212121;
    font-family: "Sarabun", sans-serif;
  }
  .sub-header {
    color: #333333;
    font-size: 12px;
    font-weight: 400;
    font-style: normal;
    font-family: "Sarabun", sans-serif;
  }
  .summarydata {
    font-size: 13px;
  }
  .summaryprice {
    font-size: 15px;
  }
  .sizetab {
    padding: 16px;
  }
  /* .support{
    font-size:10px;
    margin-left:40px;
    color: grey;
  } */
  .v-stepper__header {
    font-size: 12px;
    color: grey;
    font-weight: bold;
  }
  .v-stepper__step {
    padding: 14px;
  }
  .paybtn {
    margin-top: 14px;
    margin-bottom: 14px;
    text-align: center;
    font-size: 14px;
    border-radius: 4px;
    font-family: "Sarabun", sans-serif;
  }
}

.text-detail {
  font-family: "Sarabun", sans-serif;
}
</style>
